<template lang="pug">
div
  h2 Meetings
  ul.flex.flex-col.gap-1
    li.bg-gray-100.rounded.p-2.w-96.flex.justify-between.items-center(v-for="(meeting, index) in meetings" :key="index")
      div 
        span.font-semibold.uppercase {{getName(meeting.caregiver_id)}} 
        span and 
        span.font-semibold.uppercase {{getName(meeting.patient_id)}}
      div {{moment(meeting.meeting_time).fromNow()}}
      a.uppercase.bg-indigo-700.text-indigo-100.px-4.py-1.rounded(target="__blank" :href="meeting.meeting_link") join
</template>
<script>
import moment from 'moment'
export default {
  data: () => ({
    meetings: [],
    moment,
  }),
  async created() {
    this.users = await this.$api.get(`/users`).then((item) => item.users)

    let role = 'patient'
    const userGroups = this.$auth.getUserGroups()
    if (userGroups.includes('caregiver' || 'admin')) {
      role = 'caregiver'
    }
    const user = this.$auth.getUser()
    this.meetings = await this.$api.get(`/appointment/${role}/${user.sub}`)
  },
  methods: {
    getName(sub) {
      const user = this.users.find((item) => item.sub === sub)
      return user.given_name + ' ' + user.family_name
    },
  },
}
</script>
